#include <stdio.h>
#include <math.h>

static void
decompose(long n) {
	long p, pmax;
	int alpha, bgline;
	bgline = 1;
	pmax = 1 + sqrt(n);
	p = 2;
	while (1 < n) {
		alpha = 0;
		while (0 == n % p) {
			alpha++;
			n /= p;
		}
		if (0 < alpha) {
			printf ("%s%ld^%d", bgline ? "" : " * ", p, alpha);
			bgline = 0;
			pmax = sqrt(n);
		}
		p++;
		if (pmax < p)
			p = n;
	}
	printf("\n");
}

int
main(void) {
	long n;
	if (1 != scanf("%ld", &n))
		return 1;
	if (n <= 1)
		return 1;
	decompose(n);
	return 0;
}

