#include <stdio.h>
#include <math.h>

static long
sigma(long n) {
	long p, pmax, r;
	int alpha, done;
	if (1 == n)
		return 1;
	done = 0;
	r = 1;
	pmax = 1 + sqrt(n);
	p = 2;
	while (!done) {
		alpha = 0;
		while (0 == n % p) {
			alpha++;
			n /= p;
		}
		if (0 < alpha) {
			long pa, ps;
			ps = 1;
			pa = 1;
			for (; 0 < alpha; alpha--)
				ps += pa *= p;
			r *= ps;
			if (1 == n)
				done = 1;
			else
				pmax = sqrt(n);
		}
		p++;
		if (pmax < p)
			p = n;
	}
	return r;
}

int
main(void) {
	long n, m;
	for (n = 2; n < 100000000; n++) {
		m = sigma(n) - n;
		if (m < n && n == sigma(m) - m) {
			printf("%ld %ld\n", m, n);
			fflush(stdout);
		}
	}
	return 0;
}

